| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bsym.cpp File Reference

Program to generate symmetry axes for point group symmetries. More...

`#include "rwimg.h"`
`#include "rwsymop.h"`
`#include "symmetry.h"`
`#include "linked_list.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | img_write_symmetry_views (Bimage *p, Bsymmetry *sym, View ref_view, Bstring &filename, DataType datatype, double avg, double std)
| Rotates an image to all symmetry-related views and writes out the resultant images. More...
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Program to generate symmetry axes for point group symmetries.

Author
  Bernard Heymann

Date
  Created: 20001119
  Modified: 20191104

Definition in file bsym.cpp.

## Function Documentation

## ◆ img_write_symmetry_views()

int img_write_symmetry_views | ( | Bimage * | p,
|  | Bsymmetry * | sym,
|  | View | ref_view,
|  | Bstring & | filename,
|  | DataType | datatype,
|  | double | avg,
|  | double | std
| ) |  |

Rotates an image to all symmetry-related views and writes out the resultant images.

Parameters

  *p | image to be rotated and saved.
  *sym | point group symmetry.
  ref_view | reference view (default 0,0,1,0).
  &filename | output filename (converted to name_??.img)
  datatype | new data type.
  avg | new average.
  std | new standard deviation.

Returns
  int 0.

      The resultant image is rescaled to the desired average and standard
      deviation, and converted to the desired data type. If the standard
      deviation is zero, no rescaling is applied. The output filenames
      are numbered with an underscore and two digits, starting at 1.

Definition at line 303 of file bsym.cpp.

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 71 of file bsym.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Definition at line 24 of file bsym.cpp.

## ◆ verbose

int verbose